#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   update_dict.py
@Time    :   2019/05/25 23:39:20
@Author  :   Liuyuqi 
@Version :   1.0
@Contact :   liuyuqi.gov@msn.cn
@License :   (C)Copyright 2019
@Desc    :   python copy()的作用

下面要修改 baseHeader 的值为 mHeader ，java等代码中实现很简单：
mHeader=baseHeader.update(mPartHeader) #把baseHeader update修改后赋值给mHeader即可。

但是python中这样是错误。思想是先copy()一份baseHeader，然后再修改。

'''

baseHeader = {
    "Accept": "application/json",
    "Content-Type": "application/json;charset=UTF-8",
}
mPartHeader = {
    "Referer": "https://live.kuaishou.com/u/3xphut7zrw7zcbq",
}
mHeader = baseHeader.copy()
mHeader.update(mPartHeader)

print(baseHeader)
print(mHeader)
