#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   login.py
@Time    :   2019/05/25 21:37:21
@Author  :   Liuyuqi 
@Version :   1.0
@Contact :   liuyuqi.gov@msn.cn
@License :   (C)Copyright 2019
@Desc    :   自动评论
解决方案：
'''

import requests
import json
import os
import sys
import re
# import pymysql
import random


import user_agent

# src = "C:/Users/liuyuqi/Desktop/crawl_bilibili"
# os.chdir(src)
# sys.path.append(src)

# baseUrl = "https://live.kuaishou.com"
baseUrl = "http://nginx.ok.yoqi.me:88"

proxies = {"http": "http://120.26.110.59:8080"}
sessionClient = requests.session()

baseHeader = {
    "Accept": "application/json",
    "Content-Type": "application/json;charset=UTF-8",
    "Origin": baseUrl,
    "kpf": "PC_WEB",
    "kpn": "GAME_ZONE",
}

def login():
    """
    登录快手,执行一次即可。
    param :
    return:
    """
    url = baseUrl + "/rest/wd/live/liveStream/myfollow"
    res=sessionClient.get(url=url)
    print(res)

def myfollow(parameter_list):

    url = baseUrl + "/rest/wd/live/liveStream/myfollow"
    headers = ""

    # cookies = requests.utils.dict_from_cookiejar(session.cookies)
    # print(session)

    res = requests.get(
        url=url, headers=user_agent.getheaders()).content.decode("utf8")
    mSessions = requests.session()

    print(res)

def collect(parameter_list):
    """
    param :
    return:
    """
    url = baseHeader + "/rest/wd/live/web/collect"

def comment():
    """
    给主播评论
    param :
    return:
    """
    url = baseUrl+"/comment"
    mPartHeader = {
        "Referer": "https://live.kuaishou.com/u/3x7zqyj9au3wzaw",
    }
    mHeader = baseHeader.copy()
    mHeader.update(mPartHeader)
    data = u'{"liveStreamId": "uZrj-hcnNk0","content": "主播好呀,有人吗,呜呜。","color": null}'.encode(
        "utf8")
    cookies = {
        "clientid": "3",
        "did": "web_4095924dbbb4d12df7a87725a16104b6",
        "client_key": "65890b29",
        "userId": "1365365171",
        "kuaishou.live.web_st": "ChRrdWFpc2hvdS5saXZlLndlYi5zdBKgAUuoAahJmqz3gcRCt5L_K5-otg-5bj5Rg_WChLSt2KDdpifZzHPHXqoxiOeswJoSyGLTrKAnS3VP-lnD9ryAWhPUnEWXfEBL80S9HDu3DUwCv10QFoFmpaRtV7RQs1oCEk8yr0vJH_UaKbG9OOToVcg8cPMpSuVkweBvf14jZJsjL7Ak0dHZukgrBfQ_uglsbdl2xIRYVYNitxg3yZtq-HkaEhq2DZZ7DUHSmXUzdRyAf3O3USIgQt6RuXtFQd4lTRGIeHeD4-JehbLHLMHVo6PoztW7wuUoBTAB",
        "kuaishou.live.bfb1s": "477cb0011daca84b36b3a4676857e5a1",
        "kuaishou.live.web_ph": "19c53e5f66220620785d73d07a347e8e76b3"
    }

    # 下面值是变动的cookie
    # "kuaishou.live.web_ph": "35642148eaef81c55d0c31082222fa91c2c7"

    res = sessionClient.post(
        url=url, headers=mHeader, data=data, cookies=cookies,
        # proxies=proxies
    )
    print("finish")
    print(res.text)

if __name__ == "__main__":
    comment()
